﻿--
-- Definition of table `departamentoJdbc`
--

DROP TABLE IF EXISTS `departamentoJdbc`;
CREATE TABLE `departamentoJdbc` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  `GERENTE_ID` int(11) default NULL,
  `DIVISAO_ID` int(11) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




--
-- Dumping data for table `departamentoJdbc`
--

/*!40000 ALTER TABLE `departamentoJdbc` DISABLE KEYS */;
INSERT INTO `departamentoJdbc` (`ID`,`NOME`,`GERENTE_ID`,`DIVISAO_ID`) VALUES 
 (1,'Departamento 1',1,1);
/*!40000 ALTER TABLE `departamentoJdbc` ENABLE KEYS */;


--
-- Definition of table `desktopJdbc`
--

DROP TABLE IF EXISTS `desktopJdbc`;
CREATE TABLE `desktopJdbc` (
  `ID` int(11) NOT NULL,
  `MARCA` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `desktopJdbc`
--

/*!40000 ALTER TABLE `desktopJdbc` DISABLE KEYS */;
/*!40000 ALTER TABLE `desktopJdbc` ENABLE KEYS */;


--
-- Definition of table `divisaoJdbc`
--

DROP TABLE IF EXISTS `divisaoJdbc`;
CREATE TABLE `divisaoJdbc` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  `CHEFE_ID` int(11) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `divisaoJdbc`
--



/*!40000 ALTER TABLE `divisaoJdbc` DISABLE KEYS */;
INSERT INTO `divisaoJdbc` (`ID`,`NOME`,`CHEFE_ID`) VALUES 
 (1,'Divis?Â£o 1',1);
/*!40000 ALTER TABLE `divisaoJdbc` ENABLE KEYS */;


--
-- Definition of table `funcionarioJdbc`
--

DROP TABLE IF EXISTS `funcionarioJdbc`;
CREATE TABLE `funcionarioJdbc` (
  `ID` int(11) NOT NULL,
  `DTYPE` varchar(31) default NULL,
  `NOME` varchar(255) default NULL,
  `SUPERIOR_ID` int(11) default NULL,
  `DEPARTAMENTO_ID` int(11) default NULL,
  `PARCEIRO_ID` int(11) default NULL,
  `GRAU` char(1) default NULL,
  `EXPERIENCE_YEARS` int(11) default NULL,
  `WORKSTATION_ID` int(11) default NULL,
  `MANAGER_DESCRIPTION` varchar(255) default NULL,
  `DESKTOP_ID` int(11) default NULL,
  `SPOKEN_LANGUAGES` int(11) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Dumping data for table `funcionarioJdbc`
--

/*!40000 ALTER TABLE `funcionarioJdbc` DISABLE KEYS */;
INSERT INTO `funcionarioJdbc` (`ID`,`DTYPE`,`NOME`,`SUPERIOR_ID`,`DEPARTAMENTO_ID`,`PARCEIRO_ID`,`GRAU`,`EXPERIENCE_YEARS`,`WORKSTATION_ID`,`MANAGER_DESCRIPTION`,`DESKTOP_ID`,`SPOKEN_LANGUAGES`) VALUES
 (1,'Gerente','Francisco',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (52,'Funcionario','Joao4',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (53,'Funcionario','Joao3',52,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (54,'Funcionario','Joao2',53,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (55,'Funcionario','Joao1',54,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (56,'Funcionario','Joao1',54,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (57,'Funcionario','Joao2',53,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (58,'Funcionario','Joao1',57,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (59,'Funcionario','Joao1',57,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (60,'Funcionario','Joao3',52,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (61,'Funcionario','Joao2',60,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (62,'Funcionario','Joao1',61,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (63,'Funcionario','Joao1',61,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `funcionarioJdbc` (`ID`,`DTYPE`,`NOME`,`SUPERIOR_ID`,`DEPARTAMENTO_ID`,`PARCEIRO_ID`,`GRAU`,`EXPERIENCE_YEARS`,`WORKSTATION_ID`,`MANAGER_DESCRIPTION`,`DESKTOP_ID`,`SPOKEN_LANGUAGES`) VALUES
 (64,'Funcionario','Joao2',60,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (65,'Funcionario','Joao1',64,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (66,'Funcionario','Joao1',64,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (67,'Gerente','Gerente1',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (68,'Gerente','Gerente2',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (69,'Gerente','Gerente3',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (70,'Gerente','Gerente4',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (71,'Gerente','Gerente5',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (73,'Engenheiro','JoÂo1',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (74,'Engenheiro','JoÂo2',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (75,'Engenheiro','JoÂo3',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (76,'Engenheiro','JoÂo4',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (77,'Engenheiro','JoÂo5',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL);
INSERT INTO `funcionarioJdbc` (`ID`,`DTYPE`,`NOME`,`SUPERIOR_ID`,`DEPARTAMENTO_ID`,`PARCEIRO_ID`,`GRAU`,`EXPERIENCE_YEARS`,`WORKSTATION_ID`,`MANAGER_DESCRIPTION`,`DESKTOP_ID`,`SPOKEN_LANGUAGES`) VALUES
 (78,'Engenheiro','JoÂo6',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (79,'Engenheiro','JoÂo7',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (80,'Engenheiro','JoÂo8',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (81,'Engenheiro','JoÂo9',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (82,'Engenheiro','JoÂo10',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `funcionarioJdbc` ENABLE KEYS */;



--
-- Definition of table `funcionario_habilidade_Jdbc`
--

DROP TABLE IF EXISTS `funcionario_habilidade_Jdbc`;
CREATE TABLE `funcionario_habilidade_Jdbc` (
  `funcionarios_ID` int(11) NOT NULL,
  `habilidades_ID` int(11) NOT NULL,
  PRIMARY KEY  (`funcionarios_ID`,`habilidades_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `funcionario_habilidade_Jdbc`
--

/*!40000 ALTER TABLE `funcionario_habilidade_Jdbc` DISABLE KEYS */;

/*!40000 ALTER TABLE `funcionario_habilidade_Jdbc` ENABLE KEYS */;

--
-- Definition of table `funcionario_professionalunion_Jdbc`
--

DROP TABLE IF EXISTS `funcionario_professionalunion_Jdbc`;
CREATE TABLE `funcionario_professionalunion_Jdbc` (
  `engenheiros_ID` int(11) NOT NULL,
  `professionalUnions_ID` int(11) NOT NULL,
  PRIMARY KEY  (`engenheiros_ID`,`professionalUnions_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `funcionario_professionalunion_Jdbc`
--

/*!40000 ALTER TABLE `funcionario_professionalunion_Jdbc` DISABLE KEYS */;
INSERT INTO `funcionario_professionalunion_Jdbc` (`engenheiros_ID`,`professionalUnions_ID`) VALUES
 (73,72),
 (74,72),
 (75,72),
 (76,72),
 (77,72),
 (78,72),
 (79,72),
 (80,72),
 (81,72),
 (82,72);
/*!40000 ALTER TABLE `funcionario_professionalunion_Jdbc` ENABLE KEYS */;



--
-- Definition of table `funcionario_projeto_Jdbc`
--

DROP TABLE IF EXISTS `funcionario_projeto_Jdbc`;
CREATE TABLE `funcionario_projeto_Jdbc` (
  `habilidade_funcionarios_ID` int(11) NOT NULL,
  `projetos_ID` int(11) NOT NULL,
  PRIMARY KEY  (`habilidade_funcionarios_ID`,`projetos_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `funcionario_projeto_Jdbc`
--

/*!40000 ALTER TABLE `funcionario_projeto_Jdbc` DISABLE KEYS */;



/*!40000 ALTER TABLE `funcionario_projeto_Jdbc` ENABLE KEYS */;

--
-- Definition of table `habilidadeJdbc`
--

DROP TABLE IF EXISTS `habilidadeJdbc`;
CREATE TABLE `habilidadeJdbc` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `habilidadeJdbc`
--

/*!40000 ALTER TABLE `habilidadeJdbc` DISABLE KEYS */;
/*!40000 ALTER TABLE `habilidadeJdbc` ENABLE KEYS */;

--
-- Definition of table `habilidade_projeto_Jdbc`
--

DROP TABLE IF EXISTS `habilidade_projeto_Jdbc`;
CREATE TABLE `habilidade_projeto_Jdbc` (
  `projetos_ID` int(11) NOT NULL,
  `habilidades_ID` int(11) NOT NULL,
  PRIMARY KEY  (`projetos_ID`,`habilidades_ID`)

) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `habilidade_projeto_Jdbc`
--

/*!40000 ALTER TABLE `habilidade_projeto_Jdbc` DISABLE KEYS */;

/*!40000 ALTER TABLE `habilidade_projeto_Jdbc` ENABLE KEYS */;

--
-- Definition of table `localJdbc`
--

DROP TABLE IF EXISTS `localJdbc`;
CREATE TABLE `localJdbc` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `localJdbc`
--

/*!40000 ALTER TABLE `localJdbc` DISABLE KEYS */;
/*!40000 ALTER TABLE `localJdbc` ENABLE KEYS */;

--
-- Definition of table `local_funcionarioJdbc`
--

DROP TABLE IF EXISTS `local_funcionarioJdbc`;
CREATE TABLE `local_funcionarioJdbc` (
  `funcionarios_ID` int(11) NOT NULL,
  `locais_ID` int(11) NOT NULL,
  PRIMARY KEY  (`funcionarios_ID`,`locais_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `local_funcionarioJdbc`
--

/*!40000 ALTER TABLE `local_funcionarioJdbc` DISABLE KEYS */;

/*!40000 ALTER TABLE `local_funcionarioJdbc` ENABLE KEYS */;

--
-- Definition of table `local_projetoJdbc`
--

DROP TABLE IF EXISTS `local_projetoJdbc`;
CREATE TABLE `local_projetoJdbc` (
  `projetos_ID` int(11) NOT NULL,
  `locais_ID` int(11) NOT NULL,
  PRIMARY KEY  (`projetos_ID`,`locais_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `local_projetoJdbc`
--

/*!40000 ALTER TABLE `local_projetoJdbc` DISABLE KEYS */;

/*!40000 ALTER TABLE `local_projetoJdbc` ENABLE KEYS */;

--
-- Definition of table `professionalunionJdbc`
--

DROP TABLE IF EXISTS `professionalunionJdbc`;
CREATE TABLE `professionalunionJdbc` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `professionalunionJdbc`
--

/*!40000 ALTER TABLE `professionalunionJdbc` DISABLE KEYS */;
INSERT INTO `professionalunionJdbc` (`ID`,`NOME`) VALUES
 (72,'CUT');
/*!40000 ALTER TABLE `professionalunionJdbc` ENABLE KEYS */;


--
-- Definition of table `projetoJdbc`
--

DROP TABLE IF EXISTS `projetoJdbc`;
CREATE TABLE `projetoJdbc` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `projetoJdbc`
--

/*!40000 ALTER TABLE `projetoJdbc` DISABLE KEYS */;
/*!40000 ALTER TABLE `projetoJdbc` ENABLE KEYS */;

--
-- Definition of table `projeto_funcionario_Jdbc`
--

DROP TABLE IF EXISTS `projeto_funcionario_Jdbc`;
CREATE TABLE `projeto_funcionario_Jdbc` (
  `funcionarios_atribuidos_ID` int(11) NOT NULL,
  `projetos_atribuidos_ID` int(11) NOT NULL,
  PRIMARY KEY  (`funcionarios_atribuidos_ID`,`projetos_atribuidos_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `projeto_funcionario_Jdbc`
--

/*!40000 ALTER TABLE `projeto_funcionario_Jdbc` DISABLE KEYS */;

/*!40000 ALTER TABLE `projeto_funcionario_Jdbc` ENABLE KEYS */;

--
-- Definition of table `funcionario_professionalunionjdbc`
--

DROP TABLE IF EXISTS `funcionario_professionalunionjdbc`;
CREATE TABLE `funcionario_professionalunionjdbc` (
  `engenheiros_ID` int(11) NOT NULL,
  `professionalUnions_ID` int(11) NOT NULL,
  PRIMARY KEY  (`engenheiros_ID`,`professionalUnions_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `funcionario_professionalunionjdbc`
--



/*!40000 ALTER TABLE `funcionario_professionalunionjdbc` DISABLE KEYS */;
INSERT INTO `funcionario_professionalunionjdbc` (`engenheiros_ID`,`professionalUnions_ID`) VALUES
 (73,72),
 (74,72),
 (75,72),
 (76,72),
 (77,72),
 (78,72),
 (79,72),
 (80,72),
 (81,72),
 (82,72);
/*!40000 ALTER TABLE `funcionario_professionalunionjdbc` ENABLE KEYS */;



--
-- Definition of table `workstationJdbc`
--

DROP TABLE IF EXISTS `workstationJdbc`;
CREATE TABLE `workstationJdbc` (
  `ID` int(11) NOT NULL,
  `localJdbc` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `workstationJdbc`
--

/*!40000 ALTER TABLE `workstationJdbc` DISABLE KEYS */;
/*!40000 ALTER TABLE `workstationJdbc` ENABLE KEYS */;



ALTER TABLE `departamentoJdbc` ADD KEY `FKJ_DEPARTAMENTO_GERENTE_ID` (`GERENTE_ID`);
ALTER TABLE `departamentoJdbc` ADD KEY `FKJ_DEPARTAMENTO_DIVISAO_ID` (`DIVISAO_ID`);
ALTER TABLE `departamentoJdbc` ADD CONSTRAINT `FKJ_DEPARTAMENTO_DIVISAO_ID` FOREIGN KEY (`DIVISAO_ID`) REFERENCES `divisaoJdbc` (`ID`);
ALTER TABLE `departamentoJdbc` ADD CONSTRAINT `FKJ_DEPARTAMENTO_GERENTE_ID` FOREIGN KEY (`GERENTE_ID`) REFERENCES `funcionarioJdbc` (`ID`);


ALTER TABLE `divisaoJdbc` ADD KEY `FKJ_DIVISAO_CHEFE_ID` (`CHEFE_ID`);
ALTER TABLE `divisaoJdbc` ADD CONSTRAINT `FKJ_DIVISAO_CHEFE_ID` FOREIGN KEY (`CHEFE_ID`) REFERENCES `funcionarioJdbc` (`ID`);


ALTER TABLE `funcionarioJdbc` ADD KEY `FKJ_FUNCIONARIO_DESKTOP_ID` (`DESKTOP_ID`);
ALTER TABLE `funcionarioJdbc` ADD KEY `FKJ_FUNCIONARIO_SUPERIOR_ID` (`SUPERIOR_ID`);
ALTER TABLE `funcionarioJdbc` ADD KEY `FKJ_FUNCIONARIO_WORKSTATION_ID` (`WORKSTATION_ID`);
ALTER TABLE `funcionarioJdbc` ADD KEY `FKJ_FUNCIONARIO_DEPARTAMENTO_ID` (`DEPARTAMENTO_ID`);
ALTER TABLE `funcionarioJdbc` ADD KEY `FKJ_FUNCIONARIO_PARCEIRO_ID` (`PARCEIRO_ID`);
ALTER TABLE `funcionarioJdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_DEPARTAMENTO_ID` FOREIGN KEY (`DEPARTAMENTO_ID`) REFERENCES `departamentoJdbc` (`ID`);
ALTER TABLE `funcionarioJdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_DESKTOP_ID` FOREIGN KEY (`DESKTOP_ID`) REFERENCES `desktopJdbc` (`ID`);
ALTER TABLE `funcionarioJdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_PARCEIRO_ID` FOREIGN KEY (`PARCEIRO_ID`) REFERENCES `funcionarioJdbc` (`ID`);
ALTER TABLE `funcionarioJdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_SUPERIOR_ID` FOREIGN KEY (`SUPERIOR_ID`) REFERENCES `funcionarioJdbc` (`ID`);
ALTER TABLE `funcionarioJdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_WORKSTATION_ID` FOREIGN KEY (`WORKSTATION_ID`) REFERENCES `workstationJdbc` (`ID`);


ALTER TABLE `funcionario_habilidade_Jdbc` ADD KEY `FKJ_FUNCIONARIO_HABILIDADE_habilidades_ID` (`habilidades_ID`);
ALTER TABLE `funcionario_habilidade_Jdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_HABILIDADE_funcionarios_ID` FOREIGN KEY (`funcionarios_ID`) REFERENCES `funcionarioJdbc` (`ID`);
ALTER TABLE `funcionario_habilidade_Jdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_HABILIDADE_habilidades_ID` FOREIGN KEY (`habilidades_ID`) REFERENCES `habilidadeJdbc` (`ID`);

ALTER TABLE `funcionario_professionalunion_Jdbc` ADD KEY `FKJ_FUNCIONARIO_PROFESSIONALUNIONprofessionalUnions_ID` (`professionalUnions_ID`);
ALTER TABLE `funcionario_professionalunion_Jdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_PROFESSIONALUNION_engenheiros_ID` FOREIGN KEY (`engenheiros_ID`) REFERENCES `funcionarioJdbc` (`ID`);
ALTER TABLE `funcionario_professionalunion_Jdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_PROFESSIONALUNIONprofessionalUnions_ID` FOREIGN KEY (`professionalUnions_ID`) REFERENCES `professionalunionJdbc` (`ID`);

ALTER TABLE `funcionario_projeto_Jdbc` ADD KEY `FKJ_FUNCIONARIO_PROJETO_projetos_ID` (`projetos_ID`);
ALTER TABLE `funcionario_projeto_Jdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_PROJETO_habilidade_funcionarios_ID` FOREIGN KEY (`habilidade_funcionarios_ID`) REFERENCES `funcionarioJdbc` (`ID`);
ALTER TABLE `funcionario_projeto_Jdbc` ADD CONSTRAINT `FKJ_FUNCIONARIO_PROJETO_projetos_ID` FOREIGN KEY (`projetos_ID`) REFERENCES `projetoJdbc` (`ID`);

ALTER TABLE `habilidade_projeto_Jdbc` ADD KEY `FKJ_HABILIDADE_PROJETO_habilidades_ID` (`habilidades_ID`);
ALTER TABLE `habilidade_projeto_Jdbc` ADD CONSTRAINT `FKJ_HABILIDADE_PROJETO_habilidades_ID` FOREIGN KEY (`habilidades_ID`) REFERENCES `habilidadeJdbc` (`ID`);
ALTER TABLE `habilidade_projeto_Jdbc` ADD CONSTRAINT `FKJ_HABILIDADE_PROJETO_projetos_ID` FOREIGN KEY (`projetos_ID`) REFERENCES `projetoJdbc` (`ID`);

ALTER TABLE `local_funcionarioJdbc` ADD KEY `FKJ_LOCAL_FUNCIONARIO_locais_ID` (`locais_ID`);
ALTER TABLE `local_funcionarioJdbc` ADD CONSTRAINT `FKJ_LOCAL_FUNCIONARIO_funcionarios_ID` FOREIGN KEY (`funcionarios_ID`) REFERENCES `funcionarioJdbc` (`ID`);
ALTER TABLE `local_funcionarioJdbc` ADD CONSTRAINT `FKJ_LOCAL_FUNCIONARIO_locais_ID` FOREIGN KEY (`locais_ID`) REFERENCES `localJdbc` (`ID`);


ALTER TABLE `local_projetoJdbc` ADD KEY `FKJ_LOCAL_PROJETO_locais_ID` (`locais_ID`);
ALTER TABLE `local_projetoJdbc` ADD CONSTRAINT `FKJ_LOCAL_PROJETO_locais_ID` FOREIGN KEY (`locais_ID`) REFERENCES `localJdbc` (`ID`);
ALTER TABLE `local_projetoJdbc` ADD CONSTRAINT `FKJ_LOCAL_PROJETO_projetos_ID` FOREIGN KEY (`projetos_ID`) REFERENCES `projetoJdbc` (`ID`);

ALTER TABLE `projeto_funcionario_Jdbc` ADD KEY `FKJ_PROJETO_FUNCIONARIO_projetos_atribuidos_ID` (`projetos_atribuidos_ID`);
ALTER TABLE `projeto_funcionario_Jdbc` ADD CONSTRAINT `FKJ_PROJETO_FUNCIONARIO_funcionarios_atribuidos_ID` FOREIGN KEY (`funcionarios_atribuidos_ID`) REFERENCES `funcionarioJdbc` (`ID`);
ALTER TABLE `projeto_funcionario_Jdbc` ADD CONSTRAINT `FKJ_PROJETO_FUNCIONARIO_projetos_atribuidos_ID` FOREIGN KEY (`projetos_atribuidos_ID`) REFERENCES `projetoJdbc` (`ID`);


ALTER TABLE `funcionario_professionalunionjdbc` ADD KEY `JDBCFUNCIONARIO_PROFESSIONALUNIONprofessionalUnions_ID` (`professionalUnions_ID`);
ALTER TABLE `funcionario_professionalunionjdbc` ADD CONSTRAINT `JDBCFK_FUNCIONARIO_PROFESSIONALUNION_engenheiros_ID` FOREIGN KEY (`engenheiros_ID`) REFERENCES `funcionariojdbc` (`ID`);
ALTER TABLE `funcionario_professionalunionjdbc` ADD CONSTRAINT `JDBCFUNCIONARIO_PROFESSIONALUNIONprofessionalUnions_ID` FOREIGN KEY (`professionalUnions_ID`) REFERENCES `professionalunionjdbc` (`ID`);