package org.polepos.teams.jpa.data.modelo;

import java.util.Set;
import java.util.HashSet;

import javax.persistence.Entity;
import javax.persistence.ManyToMany;
import javax.persistence.OneToOne;

@Entity
public class Engenheiro extends Funcionario{
	private int experience_years;
	
	@OneToOne
	private Workstation workstation;
	
	@ManyToMany
	private Set<ProfessionalUnion> professionalUnions = new HashSet<ProfessionalUnion>();
	
	public Engenheiro() {}

	public Engenheiro(int id) {
		super(id);
	}

	public int getExperience_years() {
		return experience_years;
	}

	public void setExperience_years(int experience_years) {
		this.experience_years = experience_years;
	}

	public Workstation getWorkstation() {
		return workstation;
	}

	public void setWorkstation(Workstation workstation) {
		this.workstation = workstation;
	}

	public Set<ProfessionalUnion> getProfessionalUnions() {
		return professionalUnions;
	}

	public void setProfessionalUnions(
			Set<ProfessionalUnion> professionalUnions) {
		this.professionalUnions = professionalUnions;
	}

	

	
	
}
